harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tim Ellison <t.p.elli...@gmail.com>
Subject Re: ICU build issue on Mac OS X Leopard i686
Date Fri, 04 Sep 2009 08:32:25 GMT
So what is left for you to tackle with the dependencies?
You must be getting quite close now?

I'd like to help -- just send me a macbook ;-)

Regards,
Tim

On 04/Sep/2009 05:58, Nathan Beyer wrote:
> Here's an extremely late reply, but for posterity sake ...
> 
> I just had to recreate this myself to build the x86_64 version of the
> ICU 3.4 libraries and the change to the build scripts is here -
> http://bugs.icu-project.org/trac/changeset?new=icu%2Ftrunk%2Fsource%2Fconfig%2Fmh-darwin%4019026&old=icu%2Ftrunk%2Fsource%2Fconfig%2Fmh-darwin%4015385
> 
> -Nathan
> 
> On Mon, Dec 29, 2008 at 8:20 PM, Nathan Beyer<nbeyer@gmail.com> wrote:
>> Are you referring to this library?
>> http://svn.apache.org/repos/asf/harmony/standard/depends/libs/macosx.x86/
>>
>> It has been a while since I built that. So, you're trying to get the
>> x86_64 version built?
>>
>> As I recall, I had to patch something in the 3.4 build script, that
>> was fixed in the later release. Try diffing the make files or look at
>> what macports did.
>>
>> -Nathan
>>
>> On Mon, Dec 29, 2008 at 3:01 PM, Jerry Baulier <Jerry.Baulier@aleri.com> wrote:
>>> Hi Gregory (and Nathan),
>>>
>>>
>>>
>>> Perhaps you can help me.  I saw an email trail  from you last March on an
>>> issue that I'm now encountering, but I can't quite figure out from the
>>> thread how to resolve it.
>>>
>>>
>>>
>>> I'm trying to build ICU on Mac OS X Leopard on 64-bit Intel chip using –m64
>>> for CC and CXX.  I got the same error listed in your post:
>>>
>>> Stubdata.d:1 *** missing separator
>>>
>>>
>>>
>>> I get this even if I try to build for 32-bit.
>>>
>>>
>>>
>>> You provided a link to ICU library binaries, which I believe is needed to
>>> complete the build, but it looks like these are for i386 rather than 64-bit.
>>>
>>>
>>>
>>> Are there 64-bit versions of these dynamic libraries for 3.4.1 ICU?  I'm
>>> going to download 3.8.1 given it seems this was resolved there, but longer
>>> term we'd like all machine/OS deliverables of our product to use the same
>>> 3rd party library versions.
>>>
>>>
>>>
>>> Thanks,
>>>
>>> Jerry Baulier
> 

Mime
View raw message